DeleteStatement (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3.statements

## Class DeleteStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ModificationStatement
  - - org.apache.cassandra.cql3.statements.DeleteStatement

- All Implemented Interfaces:
    CQLStatement, MeasurableForPreparedCache

      public class DeleteStatement
      extends ModificationStatement

  A `DELETE` parsed from a CQL query statement.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeleteStatement.Parsed`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

      `ModificationStatement.StatementType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

      `attrs, cfm, processedKeys, type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUpdateForKey(ColumnFamily cf, java.nio.ByteBuffer key, Composite prefix, UpdateParameters params)`
    `boolean` | `requireFullClusteringKey()`
    `protected void` | `validateWhereClauseForConditions()` If there are conditions on the statement, this is called after the where clause and conditions have been processed to check that they are compatible.

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

      `addCondition, addConditions, addKeyValue, addOperation, buildCasResultSet, buildPartitionKeyNames, checkAccess, columnFamily, createClusteringPrefix, execute, executeInternal, executeWithCondition, getBoundTerms, getColumnsWithConditions, getFirstEmptyKey, getOperations, getTimestamp, getTimeToLive, hasConditions, hasIfExistCondition, hasIfNotExistCondition, isCounter, isTimestampSet, keyspace, makeUpdateParameters, measureForPreparedCache, processWhereClause, readRequiredRows, requiresRead, setIfExistCondition, setIfNotExistCondition, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### requireFullClusteringKey

          public boolean requireFullClusteringKey()

      Specified by:
        `requireFullClusteringKey` in class `ModificationStatement`

    - #### addUpdateForKey

          public void addUpdateForKey(ColumnFamily cf,
                             java.nio.ByteBuffer key,
                             Composite prefix,
                             UpdateParameters params)
                               throws InvalidRequestException

      Specified by:
        `addUpdateForKey` in class `ModificationStatement`
      Throws:
        `InvalidRequestException`

    - #### validateWhereClauseForConditions

          protected void validateWhereClauseForConditions()
                                                   throws InvalidRequestException

      Description copied from class: `ModificationStatement`
      If there are conditions on the statement, this is called after the where clause and conditions have been processed to check that they are compatible.
      Overrides:
        `validateWhereClauseForConditions` in class `ModificationStatement`
      Throws:
        `InvalidRequestException`

Copyright © 2014 The Apache Software Foundation